commit:     628df929ac1b2d9da5c81028d8fe40fe4c3e77bb
Author:     Ole Reifschneider <tranquility <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 13 10:36:46 2019 +0000
Commit:     Ole Reifschneider <tranquility <AT> gentoo <DOT> org>
CommitDate: Sun Jan 13 10:39:36 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=628df929

app-editors/neovim: Bump version to 0.3.3

Package-Manager: Portage-2.3.55, Repoman-2.3.12
Signed-off-by: Ole Reifschneider <tranquility <AT> gentoo.org>

 app-editors/neovim/Manifest            |  1 +
 app-editors/neovim/neovim-0.3.3.ebuild | 94 ++++++++++++++++++++++++++++++++++
 2 files changed, 95 insertions(+)

diff --git a/app-editors/neovim/Manifest b/app-editors/neovim/Manifest
index 31f78c939b2..0fc4785958e 100644
--- a/app-editors/neovim/Manifest
+++ b/app-editors/neovim/Manifest
@@ -3,3 +3,4 @@ DIST neovim-0.2.2.tar.gz 8325879 BLAKE2B 
dbf43c5927b8c8719adae9a3f73c57429de47f1
 DIST neovim-0.3.0.tar.gz 8903630 BLAKE2B 
44936f0042be1771725a42168865d65f9afe048c116ed0d5f1542dffd8206a21dc4cbab1e08e97fdc27083251655c43df0451c5808ed6c6ad99eb2d582c55b9b
 SHA512 
8944be5562a69d5da5bce3a6673cc0b1930eb5592eb15c40139a1991f89f63435141449e7b4371ee28ff426575fcad475396e3d982004e17a902bda1d8ae6a95
 DIST neovim-0.3.1.tar.gz 8937900 BLAKE2B 
05de31d194a69b9cecd34210ecfe7460968f4255c850b9bb93b8ab8f5721463c434dd9249a43153c6e65584192bbe0a2720a474c5d8b3b73776148179d18943b
 SHA512 
42c541608509dc0335203ee1c008045f0eaeebce8e18dffc554ab22a029da700bba9b8c721bd9d68337ddb4a56f8cf034fad2a3eb88d36baf8295e6648fce506
 DIST neovim-0.3.2.tar.gz 9230960 BLAKE2B 
c9d0ee2f679f411c3ece2aa186e31d0143479f6ec19d4d54c34cd4be519a92e9f213fc821b347a0e3af6817b6ce745cdff523af41d5b558940b76d9df726253b
 SHA512 
1192d9330da3ab543dcb39bdff517637c7a52be558ad07a60de27bbf051432064edc230b46ddd9cdcae006ba1340550128e4d4ced7105f1aab57b13c2c4479ae
+DIST neovim-0.3.3.tar.gz 9231632 BLAKE2B 
96bffabcc7c7c2edca79f64e51348954b550910d71c55d00dd3d91d9c51a75742e5a4b919701c24c00de1d372a4269b491028e61afcce45375360dc35f3b943e
 SHA512 
2e2910e0dafdff69d2d9f54376c6d7c64e0f172bda02f85281fe6e694e7d81365e682793e454a0ca6f6c1b8a4ed9120bbfe574afa1fd0e6368e06af743d7d147

diff --git a/app-editors/neovim/neovim-0.3.3.ebuild 
b/app-editors/neovim/neovim-0.3.3.ebuild
new file mode 100644
index 00000000000..f2102ef474a
--- /dev/null
+++ b/app-editors/neovim/neovim-0.3.3.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake-utils xdg-utils
+
+DESCRIPTION="Vim-fork focused on extensibility and agility."
+HOMEPAGE="https://neovim.io";
+
+if [[ ${PV} == 9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/neovim/neovim.git";
+else
+       SRC_URI="https://github.com/neovim/neovim/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="Apache-2.0 vim"
+SLOT="0"
+IUSE="+clipboard +luajit +nvimpager python remote ruby +tui +jemalloc"
+
+CDEPEND=">=dev-libs/libuv-1.2.0:0=
+       >=dev-libs/msgpack-1.0.0:0=
+       luajit? ( dev-lang/luajit:2 )
+       !luajit? (
+               dev-lang/lua:=
+               dev-lua/LuaBitOp
+       )
+       tui? (
+               >=dev-libs/libtermkey-0.19
+               >=dev-libs/unibilium-2.0.0:0=
+       )
+       dev-libs/libvterm
+       dev-lua/lpeg[luajit=]
+       dev-lua/mpack[luajit=]
+       jemalloc? ( dev-libs/jemalloc )
+       net-libs/libnsl"
+
+DEPEND="
+       ${CDEPEND}
+       dev-util/gperf
+       virtual/libiconv
+       virtual/libintl"
+
+RDEPEND="
+       ${CDEPEND}
+       python? ( dev-python/neovim-python-client )
+       ruby? ( dev-ruby/neovim-ruby-client )
+       remote? ( dev-python/neovim-remote )
+       clipboard? ( || ( x11-misc/xsel x11-misc/xclip ) )"
+
+CMAKE_BUILD_TYPE=Release
+
+src_prepare() {
+       # use our system vim dir
+       sed -e '/^# define SYS_VIMRC_FILE/s|$VIM|'"${EPREFIX}"'/etc/vim|' \
+               -i src/nvim/globals.h || die
+
+       # add eclass to bash filetypes
+       sed -e 's|*.ebuild|*.ebuild,*.eclass|' -i runtime/filetype.vim || die
+
+       cmake-utils_src_prepare
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DFEAT_TUI=$(usex tui)
+               -DENABLE_JEMALLOC=$(usex jemalloc)
+               -DPREFER_LUA=$(usex luajit no yes)
+       )
+       cmake-utils_src_configure
+}
+
+src_install() {
+       cmake-utils_src_install
+
+       # install a default configuration file
+       insinto /etc/vim
+       doins "${FILESDIR}"/sysinit.vim
+
+       # conditionally install a symlink for nvimpager
+       if use nvimpager; then
+               dosym ../share/nvim/runtime/macros/less.sh /usr/bin/nvimpager
+       fi
+}
+
+pkg_postinst() {
+       xdg_desktop_database_update
+}
+
+pkg_postrm() {
+       xdg_desktop_database_update
+}

Reply via email to